GenericMultipleBarcodeReader (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.multi, class: GenericMultipleBarcodeReader

Package com.google.zxing.multi

# Class GenericMultipleBarcodeReader

java.lang.Object
com.google.zxing.multi.GenericMultipleBarcodeReader

All Implemented Interfaces:
  `MultipleBarcodeReader`

public final class GenericMultipleBarcodeReader extends Object implements MultipleBarcodeReader

Attempts to locate multiple barcodes in an image by repeatedly decoding portion of the image. After one barcode is found, the areas left, above, right and below the barcode's `ResultPoint`s are scanned, recursively.

A caller may want to also employ `ByQuadrantReader` when attempting to find multiple 2D barcodes, like QR Codes, in an image, where the presence of multiple barcodes might prevent detecting any one of them.

That is, instead of passing a `Reader` a caller might pass `new ByQuadrantReader(reader)`.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericMultipleBarcodeReader(Reader delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result[]`
  `decodeMultiple(BinaryBitmap image)`
  `Result[]`
  `decodeMultiple(BinaryBitmap image, Map<DecodeHintType,?> hints)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericMultipleBarcodeReader

    public GenericMultipleBarcodeReader(Reader delegate)

- ## Method Details

  - ### decodeMultiple

    public Result[] decodeMultiple(BinaryBitmap image) throws NotFoundException
    Specified by:
      `decodeMultiple` in interface `MultipleBarcodeReader`
    Throws:
      `NotFoundException`

  - ### decodeMultiple

    public Result[] decodeMultiple(BinaryBitmap image, Map<DecodeHintType,?> hints) throws NotFoundException
    Specified by:
      `decodeMultiple` in interface `MultipleBarcodeReader`
    Throws:
      `NotFoundException`